EDIT - feature request #7810

DB preference to make Specimen editors visible
10/08/2018 01:29 PM - Katja Luther

Status: Closed Start date:
Priority: Highest Due date:
Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.4
Severity: normal
Description
if the preference is set to false everything concerning specimen should be disabled:

® imports

¢ Specimen TypeDesignations

¢ bulk editors

¢ to be continued
Related issues:
Related to EDIT - bug #7849: Improve DB Preferences handling and saving in Ta... Closed
Copied from EDIT - feature request #7793: Master ticket for E+M editor issues Closed
Copied to EDIT - feature request #9399: DB preference to make all Specimen fu... New

Associated revisions

Revision 3b975922 - 10/09/2018 03:18 PM - Katja Luther

ref #7793: add DB preferences to hide specimen and import issues and smaller changes in db preferences

Revision 69be3e73 - 10/10/2018 03:37 PM - Katja Luther

ref #7793: add preference to hide all specimen related issues
Revision 53d9aad0 - 10/23/2018 04:08 PM - Patrick Plitzner
fix #7810 Fix saving of specimen DB preferences

¢ failed to save when initally no preferences were set

Revision 4e6f2196 - 10/23/2018 11:10 PM - Katja Luther

fix save of db preferences not available in db before

Revision c4c36f8e - 10/24/2018 06:55 AM - Patrick Plitzner

ref #7810 Fix creation of local specimen preferences

Revision 662104a - 10/24/2018 07:57 AM - Patrick Plitzner

ref #7810 Fix setting of specimen admin prefs

Revision 06ae687f - 02/21/2019 04:01 PM - Patrick Plitzner

ref #7810 Fix preference check for "Open in Specimen Editor"
e remove unused IPreferenceKey

Revision d8ff3161 - 02/21/2019 04:02 PM - Patrick Plitzner

ref #7810 Fix preference check for "Open in Specimen Editor"

e remove unused IPreferenceKey

History

#1 - 10/08/2018 01:30 PM - Katja Luther
- Copied from feature request #7793: Master ticket for E+M editor issues added

#2 - 10/08/2018 01:30 PM - Katja Luther

- Status changed from New to In Progress

#3 - 10/23/2018 10:46 AM - Andreas Miiller
- Status changed from In Progress to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 0 to 60

| think this was mostly fixed in the master ticket. Put to resolved to do the review if something is still missing. | added also 2 of the master ticket
commits to this ticket.

#4 - 10/23/2018 03:24 PM - Andreas Miuller

Currentyl can't test because preference can not be stored. See also #7849

#5 - 10/23/2018 03:24 PM - Andreas Miuller

- Status changed from Resolved to Feedback

#6 - 10/23/2018 03:25 PM - Andreas Miiller
- Related to bug #7849: Improve DB Preferences handling and saving in TaxEditor added

#7 - 10/23/2018 04:08 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- % Done changed from 60 to 50

Applied in changeset taxeditor|53d9aad00561967e0fbb8e3a87e5c0b2e57251e7.

#8 - 10/23/2018 11:29 PM - Katja Luther

the check for the existence of the preference is needed to check whether the page was opened or not, because the preference framework run the
performOK() method on all pages also if they are not changed before. BUt | added the creation of a new preference object if there was no in db before
if the page is opened.

#9 - 10/24/2018 12:12 AM - Andreas Miiller
- File picture585-1.png added

Specimen imports are still shown.
Note: this might be easier to handle if we group imports by type as mentioned some time ago. Than we need only to disable the "specimen" submenu
which includes all specimen imports then.

Exports for specimen we currently do not have.

#10 - 10/24/2018 12:34 AM - Andreas Miuller

TermEditor term types DnaMarker, DeterminationModifier, KindOfUnit can also be disabled (maybe we can implement this by letting the terms know if
they are relevant only for specimen).

#11 - 10/24/2018 12:37 AM - Andreas Muller

In preferences we could disable the Taxonomic-TypeDeignations(Specimen) part.

#12 - 10/24/2018 12:38 AM - Andreas Muller

In name details view for all names of rank species and below we could remove the type designations section
#13 - 10/24/2018 12:43 AM - Andreas Miiller

In Facts View we could remove all Features that need specimen support, or at least remove support for IndividualsAssociation Fact type. | think we
should not remove support for Specimen/Observation/MaterialsExamined freetext support as this could be too restrict.
Features should be restricted via other functionalities.

#14 - 10/24/2018 12:45 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Also we may want to disable the "Derivatives" perspective.

#15 - 10/24/2018 12:49 AM - Andreas Miiller

Also it is not yet possible to select "allow override" if specimen are switched off in DB preferences.

#16 - 10/24/2018 12:52 AM - Andreas Miiller

In lokal preferences the "Specimens and FieldUnits" page is now always empty, even if showSpecimen = true. What was there before.

#17 - 10/24/2018 12:55 AM - Andreas Miiller

Bulk Editor-"ShowFieldUnits in Specimen Editor (list) should be disabled.
However, we need move this to an other page for anyway. (We should have a page for each bulk editor where we can define specific bulk editor
behaviour. If specimens are switched of, the complete page and menu entry should be invisible.

#18 - 10/24/2018 12:55 AM - Andreas Muiller

- Tags set to euro+med

#19 - 02/21/2019 04:04 PM - Patrick Plitzner
@Katja: Can you take a look at my last commit please taxeditor|06ae687fc2061c691d70c87b1da7e8b41b903385

@all: Why is this ticket still open? What is left to do?

#20 - 02/21/2019 04:41 PM - Katja Luther

Patrick Plitzner wrote:

@Katja: Can you take a look at my last commit please taxeditor|06ae687fc2061c691d70c87b1da7e8b41b903385

looks correct.

@all: Why is this ticket still open? What is left to do?

#21 - 02/21/2019 05:18 PM - Andreas Miiller

Patrick Plitzner wrote:

@all: Why is this ticket still open? What is left to do?

Isn't this quite obvious. See comments #9 - #17

#22 - 02/22/2019 09:01 AM - Patrick Plitzner

Andreas Muller wrote:
Patrick Plitzner wrote:

@all: Why is this ticket still open? What is left to do?

Isn't this quite obvious. See comments #9 - #17

| see. Sorry, the question was rather "Why is this on Release 5.4?"

#23 - 02/22/2019 10:07 AM - Andreas Muller
Because some major issues were implemented in 5.4. However, | think we should split the ticket for all remaining issues, rename this so that it
describes what was done and close it then.

#24 - 05/22/2019 01:05 PM - Katja Luther

- Description updated

#25 - 01/19/2021 03:09 PM - Katja Luther
- Subject changed from DB preference to make all Specimen functionality/menu items invisible to DB preference to make Specimen editors visible

- Status changed from Feedback to Closed

Changed the title of this ticket because only the editor availability was implemented in 5.4, for the other issues a new ticket is created. (#9399)

#26 - 01/19/2021 03:10 PM - Katja Luther

- Related to feature request #9399: DB preference to make all Specimen functionality/menu items invisible added

#27 - 01/20/2021 05:35 PM - Andreas Miiller

- Related to deleted (feature request #9399: DB preference to make all Specimen functionality/menu items invisible)

#28 - 01/20/2021 05:36 PM - Andreas Miiller

- Copied to feature request #9399: DB preference to make all Specimen functionality/menu items invisible added

Files

picture585-1.png 3.06 KB 10/23/2018 Andreas Miller
